<?php
/* @var $this MainController */
/* @var $model YandexList */

$this->breadcrumbs=array(
	'Yandex Lists'=>array('index'),
	$model->name=>array('view','id'=>$model->id),
	'Update',
);

$this->menu=array(
    AdminLteHelper::getBackMenuLink(tc('Yandex feed setting'), array('admin')),
);

$this->adminTitle = tc('Yandex feed setting');
?>

<?php $this->renderPartial('_form', array('model'=>$model, 'modelAps' => $modelAps)); ?>

<br/>
<?php
$columns = array(

	array(
		'name' => 'id',
		'htmlOptions' => array(
			'class' => 'apartments_id_column',
			'data-title' => tt('ID', 'apartments'),
		),
		'sortable' => true,
	),
);

$columns[] = array(
	'value' => 'GridHelper::getSummary($data)',
	'type' => 'raw',
);

$this->widget('CustomGridView', array(
	'allowNoMoreTables' => true,
	'id' => 'apartments-grid',
	'dataProvider' => $modelAps->searchExport(),
	//'filter'=>$model,
	'afterAjaxUpdate' => 'function(){$("a[rel=\'tooltip\']").tooltip(); $("div.tooltip-arrow").remove(); $("div.tooltip-inner").remove(); reInstallSortable(); attachStickyTableHeader(); $("a.fancy").fancybox({"ajax":{"data":"isFancy=true"},"titlePosition":"inside"});}',
	'rowCssClassExpression' => '"items[]_{$data->id}"',
	'rowHtmlOptionsExpression' => 'array("data-bid"=>"items[]_{$data->id}")',
	'columns' => $columns
));
